--[[ Globals ]]--

local AddonName = ...
local Addon = LibStub('AceAddon-3.0'):GetAddon(GetAddOnDependencies(AddonName))
local KeyBound = LibStub('LibKeyBound-1.0')
local Events = Addon.Events


--[[ Bar ]]--

local QuestBar = Addon:CreateClass('Frame', Addon.Frame)
QuestBar.master = Addon
_G[...] = QuestBar

do
	function QuestBar:New()
		local frame = QuestBar.proto.New(self, 'quest')
		local watch = ObjectiveTrackerFrame
		watch:SetParent(frame)
		watch:SetMovable(true)
		watch:SetUserPlaced(true)
		watch:ClearAllPoints()
		watch:SetPoint('TopLeft', 30, 0)
		watch:SetPoint('BottomRight', 0, 0)
		return frame
	end

	function QuestBar:Layout()
		self:SetSize(self.sets.width*1.5, self.sets.height*1.5)

	end

	function QuestBar:GetDefaults()
		return {
			point = 'BOTTOM',
			spacing = 0,
			x = 0,
			y = 0,
			width = 195,
			height = 420,
		}
	end
end
